Bug 142735 - CAN-2004-1335 ip_options_get memory leak (ipf)
Summary: CAN-2004-1335 ip_options_get memory leak (ipf)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard: public=20041208,impact=important
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-13 15:14 UTC by Mark J. Cox
Modified: 2013-08-06 01:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 15:41:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:017 normal SHIPPED_LIVE Important: kernel security update 2005-01-21 05:00:00 UTC

Description Mark J. Cox 2004-12-13 15:14:01 UTC
If the user makes ip_cmsg_send call ip_options_get
multiple times, we leak kmalloced IP options data, noticed
by Georgi Guninksi, with reproducer uvmemeat.c

Fixed upstream:
http://linux.bkbits.net:8080/linux-2.4/cset@41b766beodCDEFPbjDRLoUUUxw4Z6w

See bug 142733 for reproducer

Comment 1 Jim Paradis 2004-12-21 18:38:52 UTC
A fix for this problem has just been committed to the RHEL2.1 E7
patch pool (in kernel version 2.4.18-e.53)

Comment 2 Josh Bressers 2005-01-21 15:41:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-017.html



Note You need to log in before you can comment on or make changes to this bug.